Security Lab

Выполнение произвольного кода в Apache Hive (Apache Log4j component)

Дата публикации:16.12.2021
Всего просмотров:307
Опасность:
Критическая
Наличие исправления: Нет
Количество уязвимостей:1
CVSSv3.1 рейтинг: 9.8 [CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H/E:H/RL:U/RC:C]
CVE ID: CVE-2021-44228
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Apache Hive 0.x
Уязвимые версии: Apache Hive версии 3.1.2, 2.3.6, 2.3.5, 2.1.1, 0.14.0, 0.13.1, 0.13.0, 0.12.0, 0.11.0, 0.10.0, 2.3.8, 2.3.7, 3.1.1, 2.3.4, 3.1.0, 3.0.0, 2.3.3, 2.3.2, 2.3.1, 2.3.0, 2.2.0, 2.1.0, 2.0.1, 2.0.0, 1.2.2, 1.2.1, 1.2.0, 1.1.1, 1.1.0, 1.0.1, 1.0.0, 0.9.0, 0.8.1, 0.8.0, 0.7.1, 0.7.0, 0.6.0
Описание:

Выполнение произвольного кода в Apache Hive (Apache Log4j component)

URL производителя: http://www.apache.org
Решение: Способов устранения уязвимости не существует в настоящее время.
Ссылки: https://blogs.apache.org/security/entry/cve-2021-44228